summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2010-05-12 23:28:18 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:18 +0200
commitfcd590ab5df5bcda0094ad37dbddb5aad68aac25 (patch)
treecf26bea4b8b80c4630273ddbcf9aa4b682214354 /desktop
parent3bdde4c9560e3e37e86d4bc570b5d3c5f9df3d7f (diff)
downloadslackbuilds-fcd590ab5df5bcda0094ad37dbddb5aad68aac25.tar.gz
slackbuilds-fcd590ab5df5bcda0094ad37dbddb5aad68aac25.tar.xz
desktop/google-gadgets-for-linux: Added to 12.2 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/google-gadgets-for-linux/README11
-rw-r--r--desktop/google-gadgets-for-linux/doinst.sh14
-rw-r--r--desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild93
-rw-r--r--desktop/google-gadgets-for-linux/google-gadgets-for-linux.info8
-rw-r--r--desktop/google-gadgets-for-linux/slack-desc19
5 files changed, 145 insertions, 0 deletions
diff --git a/desktop/google-gadgets-for-linux/README b/desktop/google-gadgets-for-linux/README
new file mode 100644
index 0000000000..30eff5e27d
--- /dev/null
+++ b/desktop/google-gadgets-for-linux/README
@@ -0,0 +1,11 @@
+Google Gadgets for Linux provides a platform for running desktop gadgets under
+Linux, catering to the unique needs of Linux users. It's compatible with the
+gadgets written for Google Desktop for Windows as well as the Universal
+Gadgets on iGoogle. Following Linux norms, this project is open-sourced under
+the Apache License.
+
+By default Google Gadgets will build a GTK+ interface. If you also want a GUI
+based on the QT library, you will need to have QT4 installed at compile time.
+A SlackBuild for QT4 is available at SlackBuilds.org.
+
+Note: this will not build if webkit is installed.
diff --git a/desktop/google-gadgets-for-linux/doinst.sh b/desktop/google-gadgets-for-linux/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/desktop/google-gadgets-for-linux/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild b/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
new file mode 100644
index 0000000000..aeaf6c610a
--- /dev/null
+++ b/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+# Slackbuild for google-gadgets-for-linux
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=google-gadgets-for-linux
+VERSION=0.10.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# These are needed to properly link the seamonkey stuff
+EXTRA_INCLUDES="\
+ -I/usr/include/seamonkey/dom \
+ -I/usr/include/seamonkey/content \
+ -I/usr/include/seamonkey/widget \
+ -I/usr/include/seamonkey/xpconnect"
+
+GTKMOZEMBED_CFLAGS="$(pkg-config --cflags seamonkey-gtkmozembed)" \
+GTKMOZEMBED_LIBS="$(pkg-config --libs seamonkey-gtkmozembed)" \
+LIBMOZJS_CFLAGS="$(pkg-config --cflags seamonkey-js)" \
+LIBMOZJS_LIBS="$(pkg-config --libs seamonkey-js)" \
+CFLAGS="$SLKCFLAGS $EXTRA_INCLUDES" \
+CXXFLAGS="$SLKCFLAGS $EXTRA_INCLUDES" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --disable-static \
+ --with-browser-plugins-dir=/usr/lib/mozilla/plugins \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/google-gadgets-for-linux/google-gadgets-for-linux.info b/desktop/google-gadgets-for-linux/google-gadgets-for-linux.info
new file mode 100644
index 0000000000..0c5fdb8aa7
--- /dev/null
+++ b/desktop/google-gadgets-for-linux/google-gadgets-for-linux.info
@@ -0,0 +1,8 @@
+PRGNAM="google-gadgets-for-linux"
+VERSION="0.10.5"
+HOMEPAGE="http://code.google.com/p/google-gadgets-for-linux/"
+DOWNLOAD="http://google-gadgets-for-linux.googlecode.com/files/google-gadgets-for-linux-0.10.5.tar.bz2"
+MD5SUM="fdad6bd761b6c603e457b5d0d92ec2f9"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="rworkman,michiel,erik"
diff --git a/desktop/google-gadgets-for-linux/slack-desc b/desktop/google-gadgets-for-linux/slack-desc
new file mode 100644
index 0000000000..9b02ce0834
--- /dev/null
+++ b/desktop/google-gadgets-for-linux/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+google-gadgets-for-linux: google-gadgets-for-linux (Google Gadgets for Linux)
+google-gadgets-for-linux:
+google-gadgets-for-linux: Google Gadgets for Linux provides a platform for running desktop
+google-gadgets-for-linux: gadgets under Linux, catering to the unique needs of Linux users.
+google-gadgets-for-linux: It's compatible with the gadgets written for Google Desktop for
+google-gadgets-for-linux: Windows as well as the Universal Gadgets on iGoogle. Following Linux
+google-gadgets-for-linux: norms, this project is open-sourced under the Apache License.
+google-gadgets-for-linux:
+google-gadgets-for-linux:
+google-gadgets-for-linux: Homepage: http://code.google.com/p/google-gadgets-for-linux/
+google-gadgets-for-linux: